%define	upstream_name ess
%define	upstream_version 15.09-2

Summary:	Emacs Speaks Statistics package for Emacs
Name:		emacs-%{upstream_name}
Version:	15.09.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://ess.r-project.org
Source0:	http://ess.r-project.org/downloads/ess/%{upstream_name}-%{upstream_version}.tgz
BuildRequires:	emacs-X11
BuildRequires:	emacs-el
BuildRequires:	texinfo
BuildRequires:	R-base
Requires:	emacs
Requires:	emacs-el

Obsoletes:	xemacs-ess < 12.04.4-8

BuildArch:	noarch

%description
This package provides Emacs Speaks Statistics (ESS), which provides
Emacs-based front ends for popular statistics packages.

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.

%package doc
Summary:	Emacs Speaks Statistics Documentation
Group:		Editors

%description doc
This package provides documentation for Emacs Speaks Statistics (ESS).

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod u+w doc/{html,info,refcard,dir.txt} # fix perms

%build
%make \
	PREFIX=%{_prefix} \
	LISPDIR=%{_datadir}/emacs/site-lisp/%{upstream_name} \
	ETCDIR=%{_datadir}/emacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{_infodir}

cat > %{name}.el <<"EOF"
;;; Set up %{upstream_name} for Emacs.
;;;
;;; This file is automatically loaded by emacs's site-start.el
;;; when you start a new emacs session.
(if (not (string-match "XEmacs" emacs-version)) (require 'ess-site))
EOF


%install

install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -d %{buildroot}%{_infodir}

%makeinstall_std \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name} \
	ETCDIR=%{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{buildroot}%{_infodir} \
	DOCDIR=%{buildroot}%{_docdir}/%{name}-doc
install -m 0644 %{name}.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/
# fix wrong link
ln -sf %{_datadir}/emacs/site-lisp/%{upstream_name}/ess-site.el %{buildroot}%{_datadir}/emacs/site-lisp/ess-site.el
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc/*.BAT
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc/*.sparc
rm -f %{buildroot}%{_docdir}/%{name}-doc/*.dvi
rm -f %{buildroot}%{_docdir}/%{name}-doc/*.html

%post
%_install_info %{upstream_name}

%preun
%_remove_install_info %{upstream_name}


%files
%doc ANNOUNCE ChangeLog README VERSION
%dir %{_datadir}/emacs/site-lisp
%{_datadir}/emacs/site-lisp/%{upstream_name}
%{_datadir}/emacs/site-lisp/ess-site.el
%{_infodir}/%{upstream_name}.info.xz
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el

%files doc
%doc doc/ess-intro-graphs.pdf doc/readme.pdf doc/html
%doc %{_docdir}/%{name}-doc/ess.pdf
%doc %{_docdir}/%{name}-doc/refcard.pdf


%changelog
* Wed Apr 13 2016 lmenut <lmenut> 15.09.2-1.mga6
+ Revision: 1001137
- update to 15.09-2

* Sat Feb 20 2016 umeabot <umeabot> 15.09-2.mga6
+ Revision: 971738
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 lmenut <lmenut> 15.09-1.mga6
+ Revision: 892500
- update to 15.09
- obsoletes xemacs-ess (xemacs is removed - mga#11254)

* Wed Oct 15 2014 umeabot <umeabot> 13.09.1-3.mga5
+ Revision: 746214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13.09.1-2.mga5
+ Revision: 678995
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 lmenut <lmenut> 13.09.1-1.mga5
+ Revision: 643944
- fix rel

* Sat Jul 05 2014 lmenut <lmenut> 13.09.1-0.mga5
+ Revision: 643943
- update to 13.09-1

* Mon Oct 21 2013 umeabot <umeabot> 13.09-2.mga4
+ Revision: 540749
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 lmenut <lmenut> 13.09-1.mga4
+ Revision: 494285
- update to 13.09

* Fri Jan 11 2013 umeabot <umeabot> 12.09.1-3.mga3
+ Revision: 349632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 lmenut <lmenut> 12.09.1-2.mga3
+ Revision: 344492
- clean spec

* Tue Jan 01 2013 lmenut <lmenut> 12.09.1-1.mga3
+ Revision: 337327
- update to 12.09-1
- disable xemacs-ess build
  ESS support of XEmacs is temporarly suspended upstream since ESS-12.09

* Tue Jan 01 2013 lmenut <lmenut> 12.04.4-2.mga3
+ Revision: 337321
- xemacs-ess: rename ess.info to xemacs-ess.info

* Sun Aug 26 2012 lmenut <lmenut> 12.04.4-1.mga3
+ Revision: 284236
- update to 12.04-4

* Sat Sep 24 2011 lmenut <lmenut> 5.14-1.mga2
+ Revision: 147560
- update to 5.14
- clean spec

* Tue Mar 29 2011 lmenut <lmenut> 5.13-3.mga1
+ Revision: 78943
- rebuild with xemacs-ess enable

* Sun Mar 20 2011 lmenut <lmenut> 5.13-2.mga1
+ Revision: 74976
- clean spec file
  - remove buildroot
- don't build xemacs-ess for now
- imported package emacs-ess


* Fri Feb 11 2011 Luc Menut <lmenut@mandriva.org> 5.13-1mdv2011.0
+ Revision: 637342
- update to 5.13

* Wed Nov 10 2010 Luc Menut <lmenut@mandriva.org> 5.12-1mdv2011.0
+ Revision: 595641
- update to 5.12

* Tue Jul 20 2010 Luc Menut <lmenut@mandriva.org> 5.11-1mdv2011.0
+ Revision: 556285
- update to 5.11

* Sat Jul 10 2010 Luc Menut <lmenut@mandriva.org> 5.10-1mdv2011.0
+ Revision: 550511
- update to 5.10

* Sun Mar 21 2010 Luc Menut <lmenut@mandriva.org> 5.8-1mdv2010.1
+ Revision: 526161
- update to 5.8

* Tue Jan 05 2010 Luc Menut <lmenut@mandriva.org> 5.7.1-1mdv2010.1
+ Revision: 486509
- update to version 5.7.1

* Tue Sep 01 2009 Luc Menut <lmenut@mandriva.org> 5.4-1mdv2010.0
+ Revision: 424043
- update to new version 5.4

* Fri Mar 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.3.11-1mdv2009.1
+ Revision: 358221
- update to new version 5.3.11 (mdvbz #48435)
- fix docs installation (use Luc Menut's spec changes)

* Thu Nov 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.3.8-2mdv2009.1
+ Revision: 300329
- add requires on emacs-el and xemacs-el (#44842)

* Thu Aug 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.3.8-1mdv2009.0
+ Revision: 266245
- update to new version 5.3.8
- spec file clean

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 5.3.6-3mdv2009.0
+ Revision: 244700
- rebuild

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.3.6-1mdv2008.1
+ Revision: 158380
- some minor changes in a spec file
- import emacs-ess


* Fri Jan 18 2008 Luc Menut <Luc.Menut@supagro.inra.fr> 5.3.6-1mdv2008.1
- Release 5.3.6
- fix site-start file for XEmacs
- build emacs-ess and xemacs-ess for mdkversion >= 200800

* Fri Sep 14 2007 Luc Menut <Luc.Menut@supagro.inra.fr> 5.3.5-1mdv2007.1
- initial Mandriva package
- based on Tom Moertel's spec file included in the ess source
